curl -X POST "https://api.nedzo.ai/v1/templates/123e4567-e89b-12d3-a456-426614174000/duplicate" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "def45678-e89b-12d3-a456-426614174000",
"name": "Customer Onboarding Agent (Copy)",
"description": "A voice agent template for onboarding",
"templateType": "agent",
"visibility": "private",
"schemaVersion": "1.0.0",
"snapshotSizeBytes": 15240,
"createdAt": "2026-01-16T09:15:00Z",
"updatedAt": "2026-01-16T09:15:00Z"
}
Templates
Duplicate template
Duplicate an existing template via the Nedzo REST API. The copy is created with private visibility and a “(Copy)” suffix appended to the name.
POST
/
templates
/
{id}
/
duplicate
curl -X POST "https://api.nedzo.ai/v1/templates/123e4567-e89b-12d3-a456-426614174000/duplicate" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "def45678-e89b-12d3-a456-426614174000",
"name": "Customer Onboarding Agent (Copy)",
"description": "A voice agent template for onboarding",
"templateType": "agent",
"visibility": "private",
"schemaVersion": "1.0.0",
"snapshotSizeBytes": 15240,
"createdAt": "2026-01-16T09:15:00Z",
"updatedAt": "2026-01-16T09:15:00Z"
}
Create a copy of a template. The duplicate gets
" (Copy)" appended to its name and is always set to private visibility regardless of the original.
curl -X POST "https://api.nedzo.ai/v1/templates/123e4567-e89b-12d3-a456-426614174000/duplicate" \
-H "Authorization: Bearer YOUR_API_KEY"
{
"id": "def45678-e89b-12d3-a456-426614174000",
"name": "Customer Onboarding Agent (Copy)",
"description": "A voice agent template for onboarding",
"templateType": "agent",
"visibility": "private",
"schemaVersion": "1.0.0",
"snapshotSizeBytes": 15240,
"createdAt": "2026-01-16T09:15:00Z",
"updatedAt": "2026-01-16T09:15:00Z"
}
Was this page helpful?
